import getConfig from "next/config";
const { publicRuntimeConfig } = getConfig();
const isServer = typeof window === "undefined";
const BASE_URL = process.env.NODE_ENV === "development" && !isServer
    ? "/api/backend"
    : publicRuntimeConfig.qoreDataConsoleEndpoint;
export const convertFileToPublicURL = (tableName, columnName, rowId, file) => {
    if (!(file && typeof file === "object" && "filename" in file))
        return "";
    return `${BASE_URL}/v1/files/public/${tableName}/${rowId}/${columnName}/${file.filename}`;
};
//# sourceMappingURL=convertFileToPublicURL.js.map